org.apache.olingo.odata2.api.uri.info

## Interface GetEntityUriInfo

- All Known Subinterfaces:
    UriInfo

      public interface GetEntityUriInfo

  Access to the parts of the request URI that are relevant for GET requests of a single entity.
  Do not implement this interface or derive from class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getCustomQueryOptions()` Gets the custom query options as Map from option names to their corresponding String values, or an empty list if no custom query options are given in the URI.
    `EdmEntityContainer` | `getEntityContainer()` Gets the target entity container.
    `List<ArrayList<NavigationPropertySegment>>` | `getExpand()` Gets the value of the $expand system query option as a list of lists of navigation-property segments, or an empty list if not used.
    `FilterExpression` | `getFilter()` Gets the value of the $filter system query option as root object of the expression tree built during URI parsing.
    `String` | `getFormat()` Gets the value of the $format system query option.
    `EdmFunctionImport` | `getFunctionImport()` Gets the function import.
    `Map<String,EdmLiteral>` | `getFunctionImportParameters()` Gets the parameters of a function import as Map from parameter names to their corresponding typed values, or an empty list if no function import is used or no parameters are given in the URI.
    `List<KeyPredicate>` | `getKeyPredicates()` Gets the key predicates used to select a single entity out of the start entity set, or an empty list if not used.
    `List<NavigationSegment>` | `getNavigationSegments()` Gets the navigation segments, or an empty list if no navigation has been used.
    `List<SelectItem>` | `getSelect()` Gets the value of the $select system query option as a list of select items, or an empty list if not used.
    `EdmEntitySet` | `getStartEntitySet()` Gets the start entity set - identical to the target entity set if no navigation has been used.
    `EdmEntitySet` | `getTargetEntitySet()` Gets the target entity set after navigation.
    `List<KeyPredicate>` | `getTargetKeyPredicates()` Gets the key predicates used to select a single entity out of the target entity set, or an empty list if not used - identical to the key predicates from the last entry retrieved from `getNavigationSegments()` or, if no navigation has been used, to the result of `getKeyPredicates()`.
    `EdmType` | `getTargetType()` Gets the target entity type of the request.

- - ### Method Detail

    - #### getEntityContainer

          EdmEntityContainer getEntityContainer()

      Gets the target entity container.
      Returns:
        `EdmEntityContainer` the target entity container

    - #### getStartEntitySet

          EdmEntitySet getStartEntitySet()

      Gets the start entity set - identical to the target entity set if no navigation has been used.
      Returns:
        `EdmEntitySet`

    - #### getTargetEntitySet

          EdmEntitySet getTargetEntitySet()

      Gets the target entity set after navigation.
      Returns:
        `EdmEntitySet` target entity set

    - #### getFunctionImport

          EdmFunctionImport getFunctionImport()

      Gets the function import.
      Returns:
        `EdmFunctionImport` the function import

    - #### getTargetType

          EdmType getTargetType()

      Gets the target entity type of the request.
      Returns:
        `EdmType` the target type

    - #### getKeyPredicates

          List<KeyPredicate> getKeyPredicates()

      Gets the key predicates used to select a single entity out of the start entity set, or an empty list if not used.
      Returns:
        List of `KeyPredicate`
      See Also:
        `getStartEntitySet()`

    - #### getTargetKeyPredicates

          List<KeyPredicate> getTargetKeyPredicates()

      Gets the key predicates used to select a single entity out of the target entity set, or an empty list if not used - identical to the key predicates from the last entry retrieved from `getNavigationSegments()` or, if no navigation has been used, to the result of `getKeyPredicates()`.
      Returns:
        List of `KeyPredicate`
      See Also:
        `getTargetEntitySet()`

    - #### getNavigationSegments

          List<NavigationSegment> getNavigationSegments()

      Gets the navigation segments, or an empty list if no navigation has been used.
      Returns:
        List of `NavigationSegment`

    - #### getFormat

          String getFormat()

      Gets the value of the $format system query option.
      Returns:
        the format (as set as `$format` query parameter) or null

    - #### getFilter

          FilterExpression getFilter()

      Gets the value of the $filter system query option as root object of the expression tree built during URI parsing.
      Returns:
        the filter expression or null

    - #### getExpand

          List<ArrayList<NavigationPropertySegment>> getExpand()

      Gets the value of the $expand system query option as a list of lists of navigation-property segments, or an empty list if not used.
      Returns:
        List of a list of `NavigationPropertySegment` to be expanded

    - #### getSelect

          List<SelectItem> getSelect()

      Gets the value of the $select system query option as a list of select items, or an empty list if not used.
      Returns:
        List of `SelectItem` to be selected

    - #### getFunctionImportParameters

          Map<String,EdmLiteral> getFunctionImportParameters()

      Gets the parameters of a function import as Map from parameter names to their corresponding typed values, or an empty list if no function import is used or no parameters are given in the URI.
      Returns:
        Map of <String, `EdmLiteral`> function import parameters

    - #### getCustomQueryOptions

          Map<String,String> getCustomQueryOptions()

      Gets the custom query options as Map from option names to their corresponding String values, or an empty list if no custom query options are given in the URI.
      Returns:
        Map of <String, String> custom query options

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.